# eric7.VCS.ProjectHelper

Module implementing the base class of the VCS project helper.

### Global Attributes

None

### Classes

VcsProjectHelper | Class implementing the base class of the VCS project helper.

### Functions

None

## VcsProjectHelper

Class implementing the base class of the VCS project helper.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

VcsProjectHelper | Constructor
_vcsCheckout | Protected slot used to create a local project from the repository.
_vcsCleanup | Protected slot used to cleanup the local project.
_vcsCommand | Protected slot used to execute an arbitrary vcs command.
_vcsCommandOptions | Protected slot to edit the VCS command options.
_vcsCommit | Protected slot used to commit changes to the local project to the repository.
_vcsDiff | Protected slot used to show the difference of the local project to the repository.
_vcsExport | Protected slot used to export a project from the repository.
_vcsImport | Protected slot used to import the local project into the repository.
_vcsInfoDisplay | Protected slot called to show some vcs information.
_vcsLogBrowser | Protected slot used to show the log of the local project with a log browser dialog.
_vcsMerge | Protected slot used to merge changes of a tag/revision into the local project.
_vcsRemove | Protected slot used to remove the local project from the repository.
_vcsRevert | Protected slot used to revert changes made to the local project.
_vcsStatus | Protected slot used to show the status of the local project.
_vcsSwitch | Protected slot used to switch the local project to another tag/branch.
_vcsTag | Protected slot used to tag the local project in the repository.
_vcsUpdate | Protected slot used to update the local project from the repository.
initActions | Public method to generate the action objects.
initBasicToolbar | Public slot to initialize the basic VCS toolbar.
initMenu | Public method to generate the VCS menu.
initToolbar | Public slot to initialize the VCS toolbar.
revertChanges | Local function to revert the changes made to the project object.
setObjects | Public method to set references to the vcs and project objects.
showMenu | Public slot called before the vcs menu is shown.

### Static Methods

None

#### VcsProjectHelper (Constructor)

VcsProjectHelper(vcsObject, projectObject, parent=None, name=None)

Constructor

vcsObject
  reference to the vcs object
projectObject
  reference to the project object
parent
  parent widget (QWidget)
name
  name of this object (string)

#### VcsProjectHelper._vcsCheckout

_vcsCheckout(export=False)

Protected slot used to create a local project from the repository.

export
  flag indicating whether an export or a checkout should be performed

#### VcsProjectHelper._vcsCleanup

_vcsCleanup()

Protected slot used to cleanup the local project.

#### VcsProjectHelper._vcsCommand

_vcsCommand()

Protected slot used to execute an arbitrary vcs command.

#### VcsProjectHelper._vcsCommandOptions

_vcsCommandOptions()

Protected slot to edit the VCS command options.

#### VcsProjectHelper._vcsCommit

_vcsCommit()

Protected slot used to commit changes to the local project to the repository.

#### VcsProjectHelper._vcsDiff

_vcsDiff()

Protected slot used to show the difference of the local project to the repository.

#### VcsProjectHelper._vcsExport

_vcsExport()

Protected slot used to export a project from the repository.

#### VcsProjectHelper._vcsImport

_vcsImport()

Protected slot used to import the local project into the repository.

NOTE: This does not necessarily make the local project a vcs controlled project. You may have to checkout the project from the repository in order to accomplish that.

#### VcsProjectHelper._vcsInfoDisplay

_vcsInfoDisplay()

Protected slot called to show some vcs information.

#### VcsProjectHelper._vcsLogBrowser

_vcsLogBrowser()

Protected slot used to show the log of the local project with a log browser dialog.

#### VcsProjectHelper._vcsMerge

_vcsMerge()

Protected slot used to merge changes of a tag/revision into the local project.

#### VcsProjectHelper._vcsRemove

_vcsRemove()

Protected slot used to remove the local project from the repository.

Depending on the parameters set in the vcs object the project may be removed from the local disk as well.

#### VcsProjectHelper._vcsRevert

_vcsRevert()

Protected slot used to revert changes made to the local project.

#### VcsProjectHelper._vcsStatus

_vcsStatus()

Protected slot used to show the status of the local project.

#### VcsProjectHelper._vcsSwitch

_vcsSwitch()

Protected slot used to switch the local project to another tag/branch.

#### VcsProjectHelper._vcsTag

_vcsTag()

Protected slot used to tag the local project in the repository.

#### VcsProjectHelper._vcsUpdate

_vcsUpdate()

Protected slot used to update the local project from the repository.

#### VcsProjectHelper.initActions

initActions()

Public method to generate the action objects.

#### VcsProjectHelper.initBasicToolbar

initBasicToolbar(ui, toolbarManager)

Public slot to initialize the basic VCS toolbar.

ui
  reference to the main window (UserInterface)
toolbarManager
  reference to a toolbar manager object (EricToolBarManager)

Return:
  the toolbar generated (QToolBar)

#### VcsProjectHelper.initMenu

initMenu(menu)

Public method to generate the VCS menu.

menu
  reference to the menu to be populated (QMenu)

#### VcsProjectHelper.initToolbar

initToolbar(ui, toolbarManager)

Public slot to initialize the VCS toolbar.

ui
  reference to the main window (UserInterface)
toolbarManager
  reference to a toolbar manager object (EricToolBarManager)

Return:
  the toolbar generated (QToolBar)

#### VcsProjectHelper.revertChanges

revertChanges()

Local function to revert the changes made to the project object.

#### VcsProjectHelper.setObjects

setObjects(vcsObject, projectObject)

Public method to set references to the vcs and project objects.

vcsObject
  reference to the vcs object
projectObject
  reference to the project object

#### VcsProjectHelper.showMenu

showMenu()

Public slot called before the vcs menu is shown.

Up